Name:           glob2
Version:        0.9.3
Release:        1%{?dist}
Summary:        An innovative RTS game

Group:          Amusements/Games
License:        GPLv3+
URL:            http://globulation2.org/
Source0:        http://dl.sv.nongnu.org/releases/%{name}/%{version}/%{name}-%{version}.tar.gz
#Source3:        glob2.desktop
#patch0 fixes polish diacritics
Patch0:         glob2-texts.pl.patch
Patch2:         glob2-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils,zlib-devel,speex-devel,boost-devel
BuildRequires:  libvorbis-devel,scons,python
BuildRequires:  SDL_net-devel,SDL_ttf-devel,SDL_image-devel
Requires:       hicolor-icon-theme

%description
Globulation 2 brings a new type of gameplay to RTS games. The player chooses
the number of units to assign to various tasks, and the units do their best to
satisfy the requests. This allows players to manage more units and focus on
strategy rather than individual unit's jobs. Globulation 2 also features AI
allowing single-player games or any possible combination of human-computer
teams. Also included is a scripting language for versatile gameplay or
tutorials and an integrated map editor. Globulation2 can be played in single
player mode, through your local network, or over the Internet with Ysagoon
Online Gaming (or YOG for short).


%prep
%setup -q
%patch0 -p0
%patch2 -p0

sed -i -e '3d' -e '12d' data/glob2.desktop
sed -i s#"Icon=glob2-icon-48x48"#"Icon=glob2.png"# data/glob2.desktop

chmod -x campaigns/Tutorial_Campaign.txt
sed -i 's/\r//' campaigns/Tutorial_Campaign.txt

%build
scons %{?_smp_mflags} INSTALLDIR=$RPM_BUILD_ROOT%{_datadir} BINDIR=$RPM_BUILD_ROOT%{_bindir} DATADIR=%{_datadir} CXXFLAGS="%{optflags}"


%install
rm -rf $RPM_BUILD_ROOT
scons install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/
cp -p data/icons/glob2-icon-64x64.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/glob2.png

for f in 128x128 16x16 24x24 32x32 48x48; do
mv $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$f/apps/glob2-icon-$f.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$f/apps/glob2.png
done
rm -rf $RPM_BUILD_ROOT%{_datadir}/glob2/data/icons

desktop-file-install --vendor="fedora"                  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category=Application                   \
        --delete-original                               \
        $RPM_BUILD_ROOT%{_datadir}/applications/glob2.desktop

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}


%changelog
* Sun May 04 2008 Rafał Psota <rafalzaq@gmail.com> - 0.9.3-1
- update to 0.9.3
* Thu Feb 14 2008 Rafał Psota <rafalzaq@gmail.com> - 0.9.1-3
- gcc 4.3 patch
* Sun Sep 16 2007 Rafał Psota <rafalzaq@gmail.com> - 0.9.1-2
- new install method
* Tue Sep 04 2007 Rafał Psota <rafalzaq@gmail.com> - 0.9.1-1
- update to 0.9.1
* Sat Aug 25 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-4
- BuildID rebuild
* Mon Aug 20 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-3
- License tag update
* Tue May 22 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-2
- fix Source0
* Sun May 20 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-1
- back to 0.8.21
- merge data subpackage to core package
* Fri May 04 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.23-1
- Update to 0.8.23
* Mon Jan 29 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-2
- RPM_OPT_FLAGS fix
* Wed Jan 24 2007 Rafał Psota <rafalzaq@gmail.com> - 0.8.21-1
- Initial release